> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create stitcher

> CreateStitcher

 Creates a new stitcher instance. The stitcher instance is used
 to stitch inputs into a single output.



## OpenAPI

````yaml post /streaming/stitchers/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /streaming/stitchers/v1:
    post:
      tags:
        - StitcherService
      description: |-
        CreateStitcher

         Creates a new stitcher instance. The stitcher instance is used
         to stitch inputs into a single output.
      operationId: StitcherService_CreateStitcher
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/motto.streaming.stitcher.v1.CreateStitcherRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.streaming.stitcher.v1.CreateStitcherResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.streaming.stitcher.v1.CreateStitcherRequest:
      required:
        - project_id
        - name
        - assets
      type: object
      properties:
        project_id:
          type: string
          description: >-
            The ID of the project that owns the stitcher and the output will be
            stored.
        name:
          type: string
          description: The name of the stitcher. It's set to the generated output's name.
        assets:
          allOf:
            - $ref: '#/components/schemas/motto.streaming.stitcher.v1.InputAssets'
          description: The input assets to be stitched.
        labels:
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.stitcher.v1.Label'
          description: |-
            labels of the stitcher.
             labels will be assigned to the output.
        delete_inputs_after_stitching:
          type: boolean
          description: Whether to delete input assets after stitching is complete.
      description: CreateStitcherRequest is the request message for CreateStitcher.
    motto.streaming.stitcher.v1.CreateStitcherResponse:
      type: object
      properties:
        stitcher:
          allOf:
            - $ref: '#/components/schemas/motto.streaming.stitcher.v1.Stitcher'
          description: The created stitcher.
      description: CreateStitcherResponse is the response message for CreateStitcher.
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.streaming.stitcher.v1.InputAssets:
      type: object
      properties:
        assets:
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.stitcher.v1.InputAsset'
          description: The input assets to be stitched.
      description: InputAssets represents the input assets of the stitcher.
    motto.streaming.stitcher.v1.Label:
      type: object
      properties:
        key:
          type: string
          description: The key of the label.
        value:
          type: string
          description: The value of the label.
    motto.streaming.stitcher.v1.Stitcher:
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: id of the stitcher
        project_id:
          readOnly: true
          type: string
          description: project id of the stitcher
        name:
          readOnly: true
          type: string
          description: The name of the stitcher. It's set to the generated output's name.
        assets:
          allOf:
            - $ref: '#/components/schemas/motto.streaming.stitcher.v1.InputAssets'
          description: The input assets to be stitched.
        asset_id:
          readOnly: true
          type: string
          description: >-
            asset id of the stitcher


            Important: at most one of `asset_id`, `reserved_asset_id` may be set
            per request.
        reserved_asset_id:
          readOnly: true
          type: string
          description: >-
            reserved asset id of the stitcher.
             while the output is being created, the asset id is reserved.

            Important: at most one of `asset_id`, `reserved_asset_id` may be set
            per request.
        state:
          readOnly: true
          enum:
            - STATE_UNSPECIFIED
            - STATE_PROCESSING
            - STATE_FAILED
            - STATE_READY
          type: string
          description: state of the stitcher
          format: enum
        labels:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/motto.streaming.stitcher.v1.Label'
          description: |-
            labels of the stitcher.
             labels will be assigned to the output.
        delete_inputs_after_stitching:
          type: boolean
          description: Whether to delete input assets after stitching is complete.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.streaming.stitcher.v1.InputAsset:
      type: object
      properties:
        asset_id:
          type: string
          description: asset id of the input asset
        config:
          allOf:
            - $ref: '#/components/schemas/motto.streaming.stitcher.v1.InputConfig'
          description: input config of the input asset
      description: |-
        InputAsset represents an input asset of the stitcher.
         Assets must be in the same project as the stitcher and
         must be a `video` asset with the same encoding settings.
    motto.streaming.stitcher.v1.InputConfig:
      type: object
      properties:
        order_index:
          type: integer
          description: |-
            The order index of the input.
             Same index means the same order one after another.
             Indices are not
          format: uint32
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````